summaryrefslogtreecommitdiff
path: root/resources/scripts/blobs
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-05-14 09:57:34 +0100
committerLeah Rowe <leah@libreboot.org>2023-05-14 09:57:34 +0100
commita35f0b650a9aa1958f645e933c078eda87183889 (patch)
tree5b50b250ad05a662aa46a036e532a6d5cdaa4c83 /resources/scripts/blobs
parent009bf3b67f71f86ad5331afe0cd68efc578dfb90 (diff)
blobutil/extract: minor code style cleanup
Diffstat (limited to 'resources/scripts/blobs')
-rwxr-xr-xresources/scripts/blobs/extract18
1 files changed, 12 insertions, 6 deletions
diff --git a/resources/scripts/blobs/extract b/resources/scripts/blobs/extract
index ad15d44f..b32ec0ea 100755
--- a/resources/scripts/blobs/extract
+++ b/resources/scripts/blobs/extract
@@ -12,6 +12,9 @@ vendor_rom=""
cbdir="coreboot/default"
cbcfgsdir="resources/coreboot"
ifdtool="${cbdir}/util/ifdtool/ifdtool"
+mecleaner="me_cleaner/me_cleaner.py"
+me7updateparser="resources/blobs/me7_update_parser.py"
+
boarddir=""
CONFIG_HAVE_MRC=""
@@ -101,7 +104,8 @@ extract_blobs()
rm -f flashregion*.bin 2> /dev/null
if [ -f ${_ifd_destination} ]; then
- printf "gbe, ifd, and me extracted to ${_me_destination%/*}\n"
+ printf "gbe, ifd, and me extracted to %s\n" \
+ ${_me_destination%/*}
else
printf "WARNING: Intel firmware descriptor could not "
printf "be extracted with modified me\n"
@@ -111,11 +115,13 @@ extract_blobs()
extract_blob_intel_me()
{
printf "extracting clean ime and modified ifd\n"
- ./me_cleaner/me_cleaner.py -D ${_ifd_destination} \
- -M ${_me_destination} ${vendor_rom} -t -r -S || \
- ./resources/blobs/me7_update_parser.py
- -O ${_me_destination} ${vendor_rom} \
- || fail 'me_cleaner failed to extract blobs from rom'
+
+ ${mecleaner} -D ${_ifd_destination} \
+ -M ${_me_destination} ${vendor_rom} -t -r -S \
+ || ${me7updateparser} \
+ -O ${_me_destination} ${vendor_rom} \
+ || fail \
+ "me_cleaner failed to extract blobs from rom"
}
extract_blob_intel_gbe_nvm()